--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.tree={}
cc.tree.gfx_wpn={}

-- Load & Prepare Ressources
	cc.tree.gfx_wpn=loadgfx("buildings/tree.png")					-- Weapon Image
	setmidhandle(cc.tree.gfx_wpn)
cc.tree.sfx_build=loadsfx("buildwood.ogg")									-- Build Sound

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

cc.tree.id=addweapon("cc.tree","Tree",cc.tree.gfx_wpn,1)						-- Add Weapon (1 uses)

function cc.tree.draw()														-- Draw
	if weapon_shots==0 then
		-- HUD Positioning
		hudpositioning(pos_build,cc.tree.gfx_wpn,150,0)
	end
end

function cc.tree.attack(attack)												-- Attack
	if (weapon_shots<=0) and (weapon_position==1) then
		-- Use weapon and allow to use another one afterwards (1)
		useweapon(1)
		weapon_shots=weapon_shots+1
		-- Draw
		terrainbackimage(cc.tree.gfx_wpn,weapon_x,weapon_y)
		-- Sound
		playsound(cc.tree.sfx_build)
	end
end